<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>


	<xsd:element name="MCU_TIME" type="McuTimeContent"/>
	<xsd:element name="MCU_BASE_TIME" type="xsd:dateTime"/>
	<xsd:element name="GMT_OFFSET_SIGN" type="xsd:boolean" default="false"/>
	<xsd:element name="GMT_OFFSET" type="xsd:integer"/>
	<xsd:element name="IS_NTP" type="xsd:boolean" default="false"/>
	<xsd:element name="NTP_IP_ADDRESS" type="IpAddressType"/>
	<xsd:element name="NTP_SERVERS_PARAMETERS" type="NtpServerParametersContent"/>
	<xsd:element name="NTP_SERVER_STATUS" type="NtpServerStatusType"/>


	<xsd:complexType name="NtpServerParametersContent">
		<xsd:sequence>
			<xsd:element ref="NTP_IP_ADDRESS"/>
			<xsd:element ref="NTP_SERVER_STATUS"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:simpleType name="NtpServerStatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="ok"/>
			<xsd:enumeration value="fail"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="McuTimeContent">
		<xsd:sequence>
			<xsd:element ref="MCU_BASE_TIME"/>
			<xsd:element ref="GMT_OFFSET_SIGN"/>
			<xsd:element ref="GMT_OFFSET"/>
			<xsd:element ref="IS_NTP"/>
			<xsd:element ref="NTP_IP_ADDRESS"/>
			<xsd:element ref="NTP_SERVERS_PARAMETERS" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

